Package org.apache.lucene.search.suggest.tst

# Class TernaryTreeNode

java.lang.Object
org.apache.lucene.search.suggest.tst.TernaryTreeNode

public class TernaryTreeNode extends Object
The class creates a TST node.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TernaryTreeNode()`
  Creates a new empty node

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TernaryTreeNode

    public TernaryTreeNode()
    Creates a new empty node